#extensionManager {
  background-color: ThreeDFace;
}

/* Extension Manager Command Bar */
#commandBar {
  padding: 0px 10px 5px 10px;
  min-width: 1px;
}

#installButton {
  margin: 0px;
  list-style-image: url("chrome://mozapps/skin/extensions/actionbuttons.png");
  -moz-image-region: rect(0px, 80px, 16px, 64px) !important;
}

#installButton[disabled="true"] {
  list-style-image: url("chrome://mozapps/skin/extensions/actionbuttons.png");
  -moz-image-region: rect(16px, 80px, 32px, 64px) !important;
}

#uninstallButton {
  margin: 0px;
  list-style-image: url("chrome://mozapps/skin/extensions/actionbuttons.png");
  -moz-image-region: rect(0px, 16px, 16px, 0px) !important;
}

#uninstallButton[disabled="true"] {
  list-style-image: url("chrome://mozapps/skin/extensions/actionbuttons.png");
  -moz-image-region: rect(16px, 16px, 32px, 0px) !important;
}

#updateButton {
  margin: 0px;
  list-style-image: url("chrome://mozapps/skin/extensions/actionbuttons.png");
  -moz-image-region: rect(0px, 32px, 16px, 16px) !important;
}

#updateButton[disabled="true"] {
  list-style-image: url("chrome://mozapps/skin/extensions/actionbuttons.png");
  -moz-image-region: rect(16px, 32px, 32px, 16px) !important;
}

#optionsButton {
  margin: 0px;
  list-style-image: url("chrome://mozapps/skin/extensions/actionbuttons.png");
  -moz-image-region: rect(0px, 64px, 16px, 48px) !important;
}

#optionsButton[disabled="true"] {
  list-style-image: url("chrome://mozapps/skin/extensions/actionbuttons.png");
  -moz-image-region: rect(16px, 64px, 32px, 48px) !important;
}

#useThemeButton {
  margin: 0px;
  list-style-image: url("chrome://mozapps/skin/extensions/actionbuttons.png");
  -moz-image-region: rect(0px, 48px, 16px, 32px) !important;
}

#useThemeButton[disabled="true"] {
  list-style-image: url("chrome://mozapps/skin/extensions/actionbuttons.png");
  -moz-image-region: rect(16px, 48px, 32px, 32px) !important;
}

#uninstallButton .button-icon, #updateButton .button-icon {
  margin-top: 0px !important;
  margin-bottom: 0px !important;
  -moz-margin-start: 0px !important;
  -moz-margin-end: 5px !important;
}

#installButton .button-icon,
#uninstallButton .button-icon, 
#updateButton .button-icon,
#optionsButton .button-icon,
#useThemeButton .button-icon {
  margin-top: 0px !important;
  margin-bottom: 0px !important;
  -moz-margin-start: 0px !important;
  -moz-margin-end: 5px !important;
}

.commandBarSeparator {
  -moz-margin-start: 5px;
}

#getMore {
  text-align: right;
}

richlistbox {
  margin: 10px 10px 5px 10px;
}

/* Extension List Items */
extension[selected="true"] {
  background-image: url("chrome://mozapps/skin/shared/itemSelected.png");
}

extension {
  padding-top: 13px;
  padding-bottom: 13px;
  -moz-padding-start: 13px;
  -moz-padding-end: 10px;
  min-height: 25px;
  border-bottom: 1px dotted #C0C0C0;
  background-image: url("chrome://mozapps/skin/shared/itemFader.png");
}

extension[disabled="true"] {
  color: GrayText;
  background-image: none;
}

extension[disabled="true"][selected="true"] {
  background-image: url("chrome://mozapps/skin/shared/itemSelected.png");
}

extension[disabled="true"] .extension-icon {
  opacity: 0.3;
}

.extension-item-name {
  font-weight: bold;
}

.extension-icon {
  -moz-margin-end: 10px; 
}

.previewText {
  font-size: larger;
  font-weight: bold;
  color: ThreeDShadow;
  text-align: center;
}

extension[itemType="theme"] {
  padding-top: 7px;
  padding-bottom: 7px;
  -moz-padding-start: 6px;
  -moz-padding-end: 5px;
}

extension[itemType="theme"] .extension-icon {
  -moz-margin-end: 3px;
}

.themePreviewArea {
  -moz-appearance: listbox;
  margin-top: 10px;
  margin-bottom: 5px;
  -moz-margin-start: 5px;
  -moz-margin-end: 10px;
}

